<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetMobileUserAuthTicket StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBGetMobileUserAuthTicket extends AbstractStructBase
{
    /**
     * The userName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userName;
    /**
     * The passWord
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $passWord;
    /**
     * The deviceUniqueId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceUniqueId;
    /**
     * The devicePassword
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $devicePassword;
    /**
     * Constructor method for GetMobileUserAuthTicket
     * @uses LendingQBGetMobileUserAuthTicket::setUserName()
     * @uses LendingQBGetMobileUserAuthTicket::setPassWord()
     * @uses LendingQBGetMobileUserAuthTicket::setDeviceUniqueId()
     * @uses LendingQBGetMobileUserAuthTicket::setDevicePassword()
     * @param string $userName
     * @param string $passWord
     * @param string $deviceUniqueId
     * @param string $devicePassword
     */
    public function __construct($userName = null, $passWord = null, $deviceUniqueId = null, $devicePassword = null)
    {
        $this
            ->setUserName($userName)
            ->setPassWord($passWord)
            ->setDeviceUniqueId($deviceUniqueId)
            ->setDevicePassword($devicePassword);
    }
    /**
     * Get userName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->userName;
    }
    /**
     * Set userName value
     * @param string $userName
     * @return \LendingQB\StructType\LendingQBGetMobileUserAuthTicket
     */
    public function setUserName($userName = null)
    {
        // validation for constraint: string
        if (!is_null($userName) && !is_string($userName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($userName)), __LINE__);
        }
        $this->userName = $userName;
        return $this;
    }
    /**
     * Get passWord value
     * @return string|null
     */
    public function getPassWord()
    {
        return $this->passWord;
    }
    /**
     * Set passWord value
     * @param string $passWord
     * @return \LendingQB\StructType\LendingQBGetMobileUserAuthTicket
     */
    public function setPassWord($passWord = null)
    {
        // validation for constraint: string
        if (!is_null($passWord) && !is_string($passWord)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($passWord)), __LINE__);
        }
        $this->passWord = $passWord;
        return $this;
    }
    /**
     * Get deviceUniqueId value
     * @return string|null
     */
    public function getDeviceUniqueId()
    {
        return $this->deviceUniqueId;
    }
    /**
     * Set deviceUniqueId value
     * @param string $deviceUniqueId
     * @return \LendingQB\StructType\LendingQBGetMobileUserAuthTicket
     */
    public function setDeviceUniqueId($deviceUniqueId = null)
    {
        // validation for constraint: string
        if (!is_null($deviceUniqueId) && !is_string($deviceUniqueId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($deviceUniqueId)), __LINE__);
        }
        $this->deviceUniqueId = $deviceUniqueId;
        return $this;
    }
    /**
     * Get devicePassword value
     * @return string|null
     */
    public function getDevicePassword()
    {
        return $this->devicePassword;
    }
    /**
     * Set devicePassword value
     * @param string $devicePassword
     * @return \LendingQB\StructType\LendingQBGetMobileUserAuthTicket
     */
    public function setDevicePassword($devicePassword = null)
    {
        // validation for constraint: string
        if (!is_null($devicePassword) && !is_string($devicePassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($devicePassword)), __LINE__);
        }
        $this->devicePassword = $devicePassword;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBGetMobileUserAuthTicket
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
