<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetUserAuthTicket StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBGetUserAuthTicket extends AbstractStructBase
{
    /**
     * The userName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userName;
    /**
     * The passWord
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $passWord;
    /**
     * Constructor method for GetUserAuthTicket
     * @uses LendingQBGetUserAuthTicket::setUserName()
     * @uses LendingQBGetUserAuthTicket::setPassWord()
     * @param string $userName
     * @param string $passWord
     */
    public function __construct($userName = null, $passWord = null)
    {
        $this
            ->setUserName($userName)
            ->setPassWord($passWord);
    }
    /**
     * Get userName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->userName;
    }
    /**
     * Set userName value
     * @param string $userName
     * @return \LendingQB\StructType\LendingQBGetUserAuthTicket
     */
    public function setUserName($userName = null)
    {
        // validation for constraint: string
        if (!is_null($userName) && !is_string($userName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($userName)), __LINE__);
        }
        $this->userName = $userName;
        return $this;
    }
    /**
     * Get passWord value
     * @return string|null
     */
    public function getPassWord()
    {
        return $this->passWord;
    }
    /**
     * Set passWord value
     * @param string $passWord
     * @return \LendingQB\StructType\LendingQBGetUserAuthTicket
     */
    public function setPassWord($passWord = null)
    {
        // validation for constraint: string
        if (!is_null($passWord) && !is_string($passWord)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($passWord)), __LINE__);
        }
        $this->passWord = $passWord;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBGetUserAuthTicket
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
